import 'package:umeng_crash/umeng_crash.dart';

///
/// App全局初始化管理类
///
class GlobalSettings {
  ///
  /// 发布渠道如小米、华为、等
  ///
  static const APP_CHANNEL = String.fromEnvironment('APP_CHANNEL');

  static const UMENG_APPKEY = String.fromEnvironment('UMENG_APPKEY');

  GlobalSettings._();
  static Future<Null> init() async {
    ///初始化
    UmengCrash.preInit(appKey: UMENG_APPKEY, channel: APP_CHANNEL).whenComplete(
        () => UmengCrash.init(appKey: UMENG_APPKEY, channel: APP_CHANNEL));
  }
}
